com.jnape.palatable.lambda.functions.builtin.fn2

## Class Into7<A,B,C,D,E,F,G,H>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.Into7<A,B,C,D,E,F,G,H>

- Type Parameters:
    `A` - the first argument type
    `B` - the second argument type
    `C` - the third argument type
    `D` - the fourth argument type
    `E` - the fifth argument type
    `F` - the sixth argument type
    `G` - the seventh argument type
    `H` - the result type
  All Implemented Interfaces:
    Fn1<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,Fn1<Product7<A,B,C,D,E,F,G>,H>>, Fn2<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,Product7<A,B,C,D,E,F,G>,H>, Applicative<Fn1<Product7<A,B,C,D,E,F,G>,H>,Fn1<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,?>>, Cartesian<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,Fn1<Product7<A,B,C,D,E,F,G>,H>,Fn1<?,?>>, Cocartesian<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,Fn1<Product7<A,B,C,D,E,F,G>,H>,Fn1<?,?>>, Contravariant<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,Profunctor<?,Fn1<Product7<A,B,C,D,E,F,G>,H>,Fn1<?,?>>>, Functor<Fn1<Product7<A,B,C,D,E,F,G>,H>,Fn1<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,?>>, Profunctor<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,Fn1<Product7<A,B,C,D,E,F,G>,H>,Fn1<?,?>>, Monad<Fn1<Product7<A,B,C,D,E,F,G>,H>,Fn1<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,?>>, MonadReader<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,Fn1<Product7<A,B,C,D,E,F,G>,H>,Fn1<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,?>>, MonadRec<Fn1<Product7<A,B,C,D,E,F,G>,H>,Fn1<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,?>>, MonadWriter<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,Fn1<Product7<A,B,C,D,E,F,G>,H>,Fn1<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,?>>

      public final class Into7<A,B,C,D,E,F,G,H>
      extends Object
      implements Fn2<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,Product7<A,B,C,D,E,F,G>,H>

  Given an ``Fn7`<A, B, C, D, E, F, G, H>` and a ``Product7`<A, B, C, D, E, F, G>`, destructure the product and apply the slots as arguments to the function, returning the result.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Into7()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `H` | `checkedApply(Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H> fn, Product7<A,B,C,D,E,F,G> product)`
    `static <A,B,C,D,E,F,G,H> Into7<A,B,C,D,E,F,G,H>` | `into7()`
    `static <A,B,C,D,E,F,G,H> Fn1<Product7<A,B,C,D,E,F,G>,H>` | `into7(Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H> fn)`
    `static <A,B,C,D,E,F,G,H> H` | `into7(Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H> fn, Product7<A,B,C,D,E,F,G> product)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Constructor Detail

    - #### Into7

          public Into7()

  - ### Method Detail

    - #### checkedApply

          public H checkedApply(Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H> fn,
                                Product7<A,B,C,D,E,F,G> product)

      Specified by:
        `checkedApply` in interface `Fn2<Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H>,Product7<A,B,C,D,E,F,G>,H>`

    - #### into7

          public static <A,B,C,D,E,F,G,H> Into7<A,B,C,D,E,F,G,H> into7()

    - #### into7

          public static <A,B,C,D,E,F,G,H> Fn1<Product7<A,B,C,D,E,F,G>,H> into7(Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H> fn)

    - #### into7

          public static <A,B,C,D,E,F,G,H> H into7(Fn7<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? extends H> fn,
                                                  Product7<A,B,C,D,E,F,G> product)